OpenGLUT 0.6.3 development - OpenGLUT: State Query
Keywords: OpenGLUT, FreeGLUT, OpenGL, GLUT, X11, Windows, Programming, Documentation, Download, Development, Sourceforge

OpenGLUT Documentation
Introduction | Documentation | Examples | Proposals | Authors | Copying | Todo | Bugs | Links

# State Query
[OpenGLUT API Reference]

## Functions
int | glutGet (GLenum eWhat)
void | glutSetOption (GLenum eWhat, int value)

## Detailed Description

OpenGLUT provides a certain amount of state to track modes of operation as well as status information on various objects such as OpenGLUT windows. Additionally, there is some static state information about OpenGLUT itself, and system-dependant state about the underlying window system.

The state module provides some support for modifying OpenGLUT state, as well as support for querying state.

## Function Documentation

int glutGet | ( | GLenum | eWhat | ) |

  | Allows you to query some general state/option variables. Parameters:
  | eWhat | Enumerated parameter ID.
This function permits you to query for the current value of many different OpenGLUT state variables. The current list is: GLUT_ACTION_ON_WINDOW_CLOSE Allows you to do something other than die if the user closes one of your windows. GLUT_DISPLAY_MODE_POSSIBLE GLUT_ELAPSED_TIME GLUT_INIT_DISPLAY_MODE GLUT_INIT_STATE GLUT_INIT_WINDOW_HEIGHT GLUT_INIT_WINDOW_WIDTH GLUT_INIT_WINDOW_X GLUT_INIT_WINDOW_Y GLUT_MENU_NUM_ITEMS GLUT_RENDERING_CONTEXT Allows you to specify context-sharing when you open new windows. GLUT_SCREEN_HEIGHT GLUT_SCREEN_HEIGHT_MM Height in millimeters. GLUT_SCREEN_WIDTH GLUT_SCREEN_WIDTH_MM Width in millimeters. GLUT_VERSION GLUT_WINDOW_ACCUM_ALPHA_SIZE GLUT_WINDOW_ACCUM_BLUE_SIZE GLUT_WINDOW_ACCUM_GREEN_SIZE GLUT_WINDOW_ACCUM_RED_SIZE GLUT_WINDOW_ALPHA_SIZE GLUT_WINDOW_BLUE_SIZE GLUT_WINDOW_BORDER_WIDTH GLUT_WINDOW_BUFFER_SIZE GLUT_WINDOW_COLORMAP_SIZE GLUT_WINDOW_CURSOR GLUT_WINDOW_DEPTH_SIZE GLUT_WINDOW_DOUBLEBUFFER GLUT_WINDOW_FORMAT_ID System dependant. GLUT_WINDOW_GREEN_SIZE GLUT_WINDOW_HEADER_HEIGHT GLUT_WINDOW_HEIGHT GLUT_WINDOW_NUM_CHILDREN GLUT_WINDOW_NUM_SAMPLES GLUT_WINDOW_PARENT GLUT_WINDOW_RED_SIZE GLUT_WINDOW_RGBA GLUT_WINDOW_STENCIL_SIZE GLUT_WINDOW_STEREO GLUT_WINDOW_WIDTH GLUT_WINDOW_X GLUT_WINDOW_Y Most of the above are very obvious, and so full documentation is postponed for now. Todo: Go back and flesh out the above list. This function is a bit messy, especially the WINCE part. Fix. Lots of code uses return to hop out. Since it's such a sprawling function, it's easy to be in the middle and not be 100% sure if there's anything important at the end of the function, or if it is safe to just "drop out" of the current case and head for the bottom. Causes crashes (assertion failure) if you call this before having called glutInit()---other than GLUT_INIT_STATE and GLUT_ELAPSED_TIME. Because various things can cause OpenGLUT to become deinitialized, we should probably either return default values of some kind or do minimal initialization if we are called without proper initialization. See also: glutSetOption(), glutDeviceGet(), glutGetModifiers(), glutLayerGet()

void glutSetOption | ( | GLenum | eWhat,
|  | int | value
| ) |

  | Allows you to set some general state/option variables. Parameters:
  | eWhat | Enumerated parameter ID.
  | value | New value.
Stores the value into a state variable named by eWhat. Allowable eWhat IDs are: GLUT_ACTION_ON_WINDOW_CLOSE Controls what happens when a window is closed by the user or system. GLUT_ACTION_EXIT will immediately exit the application (default). GLUT_ACTION_GLUTMAINLOOP_RETURNS will immediately return from the main loop. GLUT_ACTION_CONTINUE_EXECUTION will contine execution of remaining windows. GLUT_INIT_DISPLAY_MODE An alternate way to set the display mode for a new window. GLUT_INIT_WINDOW_HEIGHT An alternate way to set the height of new windows. GLUT_INIT_WINDOW_WIDTH An alternate way to set the width of new windows. GLUT_INIT_WINDOW_X An alternate way to set the initial horizontal position of new windows. GLUT_INIT_WINDOW_Y An alternate way to set the initial vertical position of new windows. GLUT_RENDERING_CONTEXT Set to either GLUT_CREATE_NEW_CONTEXT or GUT_USE_CURRENT_CONTEXT to indicate whether to share the current OpenGL rendering context with new windows. GLUT_WINDOW_CURSOR Attempt to set the current window's current cursor as if by glutSetCursor(). See also: glutGet(), glutDeviceGet(), glutGetModifiers(), glutLayerGet(), glutDestroyWindow(), glutMainLoop(), glutInitDisplayMode(), glutInit(), glutInitWindowSize(), glutInitWindowPosition(), glutSetCursor()

OpenGLUT Development @ Sourceforge
Homepage | Summary | Files | CVS | Forums | Lists | Bugs | RFE
Generated on Tue Oct 5 18:44:33 2004 for OpenGLUT by doxygen 1.3.8
The OpenGLUT project is hosted by sourceforge.net.